import pyb                                                 
pinX19=pyb.ADC('X19')                 # Creation de la patte X19 en mode analogique->numerique
Ipt = 0.00122
print('I dans pt1000',Ipt,'A')
pyb.delay(1000)
for i in range(0,10) :                                         # initialisation d'une boucle#
    NX19= int(pinX19.read())            # on nomme NX19 le nombre entre 0 et 4095 recu sur l'entree X19"
    print('Nombre lu sur la pinX19 :',NX19)
    Upt = NX19*3.3/4095                             # on nomme une variable Upt qui est la traduction du nombre lu su X19 en tension sachant que 4095 correspond a 3,3 V#  
    print('Tension mesuree sur la pinX19 :',round(Upt,2),'V')
    Rpt = (Upt/Ipt)     # Calcul Rpt = tension/intensité"#
    Tpt = round(0.256*Rpt-255.8,1)                          # Calcul de la température à partir de la modelisation de la courbe T=f(R)avec un chiffre apres la virgule#
    print('Temperature de la piece :',Tpt,'degre C')
    pyb.delay(1000)                     # durée d'attente entre deux mesures : ici 1000 ms#
